<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: TentBase Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('da/dfc/a03825.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a>  </div>
  <div class="headertitle"><div class="title">TentBase Class Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a5277e0f913cc30c1ec59fd5c8750666b"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dfc/a03825.html#a5277e0f913cc30c1ec59fd5c8750666b">SetActions</a> ()</td></tr>
<tr class="separator:a5277e0f913cc30c1ec59fd5c8750666b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a851bf2a2912d4b77701ba7497edb888e"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dfc/a03825.html#a851bf2a2912d4b77701ba7497edb888e">ToggleAnimation</a> (<a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> selection)</td></tr>
<tr class="separator:a851bf2a2912d4b77701ba7497edb888e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ade4b728ad222d40a344f92cf4276a67e"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dfc/a03825.html#ade4b728ad222d40a344f92cf4276a67e">ExpansionCanAttachCodeLock</a> ()</td></tr>
<tr class="memdesc:ade4b728ad222d40a344f92cf4276a67e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Only call this after settings have been loaded.  <a href="../../da/dfc/a03825.html#ade4b728ad222d40a344f92cf4276a67e">More...</a><br /></td></tr>
<tr class="separator:ade4b728ad222d40a344f92cf4276a67e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8d31a5990bdcb46b5d81064ddcd5373e"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dfc/a03825.html#a8d31a5990bdcb46b5d81064ddcd5373e">CanReceiveItemIntoCargo</a> (EntityAI item)</td></tr>
<tr class="separator:a8d31a5990bdcb46b5d81064ddcd5373e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae04bdb688e3abd4870dab9125b54b875"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dfc/a03825.html#ae04bdb688e3abd4870dab9125b54b875">CanReleaseCargo</a> (EntityAI cargo)</td></tr>
<tr class="separator:ae04bdb688e3abd4870dab9125b54b875"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae5845ddac21c1bc1bda7491c99dffcd7"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dfc/a03825.html#ae5845ddac21c1bc1bda7491c99dffcd7">CanReceiveAttachment</a> (EntityAI attachment, int slotId)</td></tr>
<tr class="separator:ae5845ddac21c1bc1bda7491c99dffcd7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab9db934f0d6fe603fa3a18f041934e2d"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dfc/a03825.html#ab9db934f0d6fe603fa3a18f041934e2d">IsEntranceRuined</a> ()</td></tr>
<tr class="separator:ab9db934f0d6fe603fa3a18f041934e2d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a78cbda340184f903405d1cd27fc821a7"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dfc/a03825.html#a78cbda340184f903405d1cd27fc821a7">CanReleaseAttachment</a> (EntityAI attachment)</td></tr>
<tr class="separator:a78cbda340184f903405d1cd27fc821a7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abb71d6b0e193f5fbb717c489b2ea882b"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dfc/a03825.html#abb71d6b0e193f5fbb717c489b2ea882b">ExpansionIsOpened</a> ()</td></tr>
<tr class="separator:abb71d6b0e193f5fbb717c489b2ea882b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0763458bd30e3094d0763d6e83fe8a3e"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dfc/a03825.html#a0763458bd30e3094d0763d6e83fe8a3e">ExpansionIsOpenable</a> ()</td></tr>
<tr class="separator:a0763458bd30e3094d0763d6e83fe8a3e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac1c444ad746cd70d2685e4467b753a3a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dfc/a03825.html#ac1c444ad746cd70d2685e4467b753a3a">ExpansionCodeLockRemove</a> ()</td></tr>
<tr class="separator:ac1c444ad746cd70d2685e4467b753a3a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a18545685baa8a2c6cf732b492560f7cd"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dfc/a03825.html#a18545685baa8a2c6cf732b492560f7cd">CanDisplayAttachmentSlot</a> (int slot_id)</td></tr>
<tr class="separator:a18545685baa8a2c6cf732b492560f7cd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4dd0c60f995d7655af05c5493ce0dd69"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dfc/a03825.html#a4dd0c60f995d7655af05c5493ce0dd69">EEHitBy</a> (TotalDamageResult damageResult, int damageType, EntityAI source, int component, <a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> dmgZone, <a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> ammo, vector modelPos, float speedCoef)</td></tr>
<tr class="separator:a4dd0c60f995d7655af05c5493ce0dd69"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af0070a64878665b17d544bede44c5918"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dfc/a03825.html#af0070a64878665b17d544bede44c5918">EEKilled</a> (Object killer)</td></tr>
<tr class="separator:af0070a64878665b17d544bede44c5918"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p ><a class="el" href="../../d0/dc4/a00443.html">TentBase.c</a></p>
<p >DayZ Expansion Mod www.dayzexpansion.com © 2022 DayZ Expansion Mod Team</p>
<p >This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. To view a copy of this license, visit <a href="http://creativecommons.org/licenses/by-nc-nd/4.0/">http://creativecommons.org/licenses/by-nc-nd/4.0/</a>.</p>
<p >Special thanks to DaemonForge for his scripts. </p>

<p class="definition">Definition at line <a class="el" href="../../d0/dc4/a00443_source.html#l00015">15</a> of file <a class="el" href="../../d0/dc4/a00443_source.html">tentbase.c</a>.</p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a18545685baa8a2c6cf732b492560f7cd" name="a18545685baa8a2c6cf732b492560f7cd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a18545685baa8a2c6cf732b492560f7cd">&#9670;&#160;</a></span>CanDisplayAttachmentSlot()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool TentBase::CanDisplayAttachmentSlot </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>slot_id</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/dc4/a00443_source.html#l00241">241</a> of file <a class="el" href="../../d0/dc4/a00443_source.html">tentbase.c</a>.</p>

</div>
</div>
<a id="ae5845ddac21c1bc1bda7491c99dffcd7" name="ae5845ddac21c1bc1bda7491c99dffcd7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae5845ddac21c1bc1bda7491c99dffcd7">&#9670;&#160;</a></span>CanReceiveAttachment()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool TentBase::CanReceiveAttachment </td>
          <td>(</td>
          <td class="paramtype">EntityAI&#160;</td>
          <td class="paramname"><em>attachment</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>slotId</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p >Safety to prevent attaching Expansion Code Lock if another lock is already present in different slot (e.g. silver Code Lock from RoomService's mod)</p>
<p >Safety to prevent attaching other locks (e.g. silver Code Lock from RoomService's mod) if Expansion Code Lock is already present</p>

<p class="definition">Definition at line <a class="el" href="../../d0/dc4/a00443_source.html#l00072">72</a> of file <a class="el" href="../../d0/dc4/a00443_source.html">tentbase.c</a>.</p>

</div>
</div>
<a id="a8d31a5990bdcb46b5d81064ddcd5373e" name="a8d31a5990bdcb46b5d81064ddcd5373e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8d31a5990bdcb46b5d81064ddcd5373e">&#9670;&#160;</a></span>CanReceiveItemIntoCargo()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool TentBase::CanReceiveItemIntoCargo </td>
          <td>(</td>
          <td class="paramtype">EntityAI&#160;</td>
          <td class="paramname"><em>item</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/dc4/a00443_source.html#l00045">45</a> of file <a class="el" href="../../d0/dc4/a00443_source.html">tentbase.c</a>.</p>

</div>
</div>
<a id="a78cbda340184f903405d1cd27fc821a7" name="a78cbda340184f903405d1cd27fc821a7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a78cbda340184f903405d1cd27fc821a7">&#9670;&#160;</a></span>CanReleaseAttachment()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool TentBase::CanReleaseAttachment </td>
          <td>(</td>
          <td class="paramtype">EntityAI&#160;</td>
          <td class="paramname"><em>attachment</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/dc4/a00443_source.html#l00116">116</a> of file <a class="el" href="../../d0/dc4/a00443_source.html">tentbase.c</a>.</p>

</div>
</div>
<a id="ae04bdb688e3abd4870dab9125b54b875" name="ae04bdb688e3abd4870dab9125b54b875"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae04bdb688e3abd4870dab9125b54b875">&#9670;&#160;</a></span>CanReleaseCargo()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool TentBase::CanReleaseCargo </td>
          <td>(</td>
          <td class="paramtype">EntityAI&#160;</td>
          <td class="paramname"><em>cargo</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/dc4/a00443_source.html#l00059">59</a> of file <a class="el" href="../../d0/dc4/a00443_source.html">tentbase.c</a>.</p>

</div>
</div>
<a id="a4dd0c60f995d7655af05c5493ce0dd69" name="a4dd0c60f995d7655af05c5493ce0dd69"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4dd0c60f995d7655af05c5493ce0dd69">&#9670;&#160;</a></span>EEHitBy()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void TentBase::EEHitBy </td>
          <td>(</td>
          <td class="paramtype">TotalDamageResult&#160;</td>
          <td class="paramname"><em>damageResult</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>damageType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">EntityAI&#160;</td>
          <td class="paramname"><em>source</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>component</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td>
          <td class="paramname"><em>dmgZone</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td>
          <td class="paramname"><em>ammo</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">vector&#160;</td>
          <td class="paramname"><em>modelPos</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>speedCoef</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/dc4/a00443_source.html#l00253">253</a> of file <a class="el" href="../../d0/dc4/a00443_source.html">tentbase.c</a>.</p>

</div>
</div>
<a id="af0070a64878665b17d544bede44c5918" name="af0070a64878665b17d544bede44c5918"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af0070a64878665b17d544bede44c5918">&#9670;&#160;</a></span>EEKilled()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void TentBase::EEKilled </td>
          <td>(</td>
          <td class="paramtype">Object&#160;</td>
          <td class="paramname"><em>killer</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/dc4/a00443_source.html#l00262">262</a> of file <a class="el" href="../../d0/dc4/a00443_source.html">tentbase.c</a>.</p>

</div>
</div>
<a id="ade4b728ad222d40a344f92cf4276a67e" name="ade4b728ad222d40a344f92cf4276a67e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ade4b728ad222d40a344f92cf4276a67e">&#9670;&#160;</a></span>ExpansionCanAttachCodeLock()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool TentBase::ExpansionCanAttachCodeLock </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Only call this after settings have been loaded. </p>

<p class="definition">Definition at line <a class="el" href="../../d0/dc4/a00443_source.html#l00039">39</a> of file <a class="el" href="../../d0/dc4/a00443_source.html">tentbase.c</a>.</p>

</div>
</div>
<a id="ac1c444ad746cd70d2685e4467b753a3a" name="ac1c444ad746cd70d2685e4467b753a3a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac1c444ad746cd70d2685e4467b753a3a">&#9670;&#160;</a></span>ExpansionCodeLockRemove()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void TentBase::ExpansionCodeLockRemove </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/dc4/a00443_source.html#l00231">231</a> of file <a class="el" href="../../d0/dc4/a00443_source.html">tentbase.c</a>.</p>

</div>
</div>
<a id="a0763458bd30e3094d0763d6e83fe8a3e" name="a0763458bd30e3094d0763d6e83fe8a3e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0763458bd30e3094d0763d6e83fe8a3e">&#9670;&#160;</a></span>ExpansionIsOpenable()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool TentBase::ExpansionIsOpenable </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/dc4/a00443_source.html#l00148">148</a> of file <a class="el" href="../../d0/dc4/a00443_source.html">tentbase.c</a>.</p>

</div>
</div>
<a id="abb71d6b0e193f5fbb717c489b2ea882b" name="abb71d6b0e193f5fbb717c489b2ea882b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abb71d6b0e193f5fbb717c489b2ea882b">&#9670;&#160;</a></span>ExpansionIsOpened()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool TentBase::ExpansionIsOpened </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/dc4/a00443_source.html#l00129">129</a> of file <a class="el" href="../../d0/dc4/a00443_source.html">tentbase.c</a>.</p>

</div>
</div>
<a id="ab9db934f0d6fe603fa3a18f041934e2d" name="ab9db934f0d6fe603fa3a18f041934e2d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab9db934f0d6fe603fa3a18f041934e2d">&#9670;&#160;</a></span>IsEntranceRuined()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool TentBase::IsEntranceRuined </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/dc4/a00443_source.html#l00097">97</a> of file <a class="el" href="../../d0/dc4/a00443_source.html">tentbase.c</a>.</p>

</div>
</div>
<a id="a5277e0f913cc30c1ec59fd5c8750666b" name="a5277e0f913cc30c1ec59fd5c8750666b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5277e0f913cc30c1ec59fd5c8750666b">&#9670;&#160;</a></span>SetActions()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void TentBase::SetActions </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/dc4/a00443_source.html#l00017">17</a> of file <a class="el" href="../../d0/dc4/a00443_source.html">tentbase.c</a>.</p>

</div>
</div>
<a id="a851bf2a2912d4b77701ba7497edb888e" name="a851bf2a2912d4b77701ba7497edb888e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a851bf2a2912d4b77701ba7497edb888e">&#9670;&#160;</a></span>ToggleAnimation()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void TentBase::ToggleAnimation </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td>
          <td class="paramname"><em>selection</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/dc4/a00443_source.html#l00025">25</a> of file <a class="el" href="../../d0/dc4/a00443_source.html">tentbase.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>DayzExpansion/BaseBuilding/Scripts/4_world/dayzexpansion_basebuilding/entities/itembase/<a class="el" href="../../d0/dc4/a00443_source.html">tentbase.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../da/dfc/a03825.html">TentBase</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
